---
title: setServerCertificate()
slug: Web/API/MediaKeys/setServerCertificate
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - Media
  - MediaKeys
  - Method
  - Reference
  - setServerCertificate
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code><strong>MediaKeys.setServerCertificate()</strong></code> method provides a server certificate to be used to encrypt messages to the license server.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">MediaKeys.setServerCertificate(serverCertificate).then(function() { ... });</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('EME', '#dom-mediakeys-setservercertificate', 'setServerCertificate()')}}</td>
			<td>{{Spec2('EME')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeys.setServerCertificate")}}</p>
</div>
